org.codehaus.groovy.runtime

## Class SqlGroovyMethods

- java.lang.Object
- - org.codehaus.groovy.runtime.SqlGroovyMethods

- Deprecated.
  use org.apache.groovy.sql.extensions.SqlExtensions

      @Deprecated
      public class SqlGroovyMethods
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlGroovyMethods()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `asBoolean(GroovyResultSet grs)` Deprecated.
    `static java.util.Iterator<ResultSetMetaDataWrapper>` | `iterator(java.sql.ResultSetMetaData resultSetMetaData)` Deprecated.
    `static GroovyRowResult` | `toRowResult(java.sql.ResultSet rs)` Deprecated.
    `static java.sql.Timestamp` | `toTimestamp(java.util.Date d)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlGroovyMethods

          public SqlGroovyMethods()

      Deprecated.

  - ### Method Detail

    - #### toRowResult

          @Deprecated
          public static GroovyRowResult toRowResult(java.sql.ResultSet rs)
                                                          throws java.sql.SQLException

      Deprecated.
      Throws:
        `java.sql.SQLException`

    - #### toTimestamp

          @Deprecated
          public static java.sql.Timestamp toTimestamp(java.util.Date d)

      Deprecated.

    - #### asBoolean

          @Deprecated
          public static boolean asBoolean(GroovyResultSet grs)

      Deprecated.

    - #### iterator

          @Deprecated
          public static java.util.Iterator<ResultSetMetaDataWrapper> iterator(java.sql.ResultSetMetaData resultSetMetaData)

      Deprecated.